resourceEditor(1)

NAME
resourceEditor - Resource editor used as part of the PythonCard GUI framework

SYNOPSIS
resourceEditor [file] [switches]

DESCRIPTION

The resourceEditor is the most common starting point for constructing a PythonCard application. Using this tool, you can create, position, size, describe and connect not only your application's windows and all of the components they contain (buttons, fields, and other controls), but also its menus and supporting dialogs. A direct-manipulation interface enables you to create, drag, and size window components in the grand tradition of Integrated Development Environments (IDEs). The resourceEditor also incorporates a menu editor and a background editor for managing the non-component portions of your PythonCard application.

Scripting is not integrated into the resourceEditor. Instead, you should use your favorite Python script editor to write the code that gives your application its intelligence and behavior (for instance, you could use codeEditor(1), also part of the PythonCard GUI framework).

SWITCHES
Note that switches must come after any filename in order to be recognized.

-p  Show property editor

-m  Show message watcher

-l  Enable logging

-s  Show shell

-m  Show namespace

-d  Show debug menu

NOTES

The resourceEditor utility also provides additional functionality that is not discussed in this manpage, because it is somewhat difficult to completely describe usage of a GUI program in a text-based manpage. For more detailed usage instructions or for more information on the PythonCard GUI framework in general, you should install the pythoncard-doc package and take a look at the various walk-throughs, tutorials and samples included with it.

Once the pythoncard-doc package is installed, the documentation is installed to /usr/share/doc/pythoncard-doc, and is also available via Debian's doc-base infrastructure - find it in the Devel section using dwww(1), doc-central(1) or dhelp(1).

If you would rather not install the pythoncard-doc package, you can find essentially the same information on the PythonCard website:

http://pythoncard.sourceforge.net

BUGS

Although it is considered to be stable, this is still development-level software.

Please report bugs in this or any PythonCard component to the Debian Bug Tracking system using reportbug(1).

AUTHOR
This manpage was written by Kenneth J. Pronovici <pronovic@debian.org>, for use by the Debian project. Content was based on previously-existing PythonCard documentation in other forms.

SEE ALSO
codeEditor(1), findfiles(1),